import type { CidList, PinningBackend, PinningInfo, IpfsApi } from '@ceramicnetwork/common';
import type { CID } from 'multiformats/cid';
export declare class NoIpfsInstanceError extends Error {
    constructor();
}
export declare class IpfsPinning implements PinningBackend {
    #private;
    readonly connectionString: string;
    static designator: string;
    readonly ipfsAddress: string;
    readonly id: string;
    constructor(connectionString: string, ipfs: IpfsApi);
    get ipfs(): IpfsApi;
    open(): void;
    close(): Promise<void>;
    pin(cid: CID): Promise<void>;
    unpin(cid: CID): Promise<void>;
    ls(): Promise<CidList>;
    info(): Promise<PinningInfo>;
}
//# sourceMappingURL=index.d.ts.map